<?php
/**
 * Feminine Lifestyle Blog Custom Control
 * 
 * @package Feminine_Lifestyle_Blog
*/

if( ! function_exists( 'feminine_lifestyle_blog_register_custom_controls' ) ) :
/**
 * Register Custom Controls
*/
function feminine_lifestyle_blog_register_custom_controls( $wp_customize ){    
    // Load our custom control.
    require_once get_template_directory() . '/inc/customizer-helpers/custom-controls/note/class-note-control.php';
    require_once get_template_directory() . '/inc/customizer-helpers/custom-controls/radiobtn/class-radio-buttonset-control.php';
    require_once get_template_directory() . '/inc/customizer-helpers/custom-controls/radioimg/class-radio-image-control.php';
    require_once get_template_directory() . '/inc/customizer-helpers/custom-controls/repeater/class-repeater-setting.php';
    require_once get_template_directory() . '/inc/customizer-helpers/custom-controls/repeater/class-control-repeater.php';
    require_once get_template_directory() . '/inc/customizer-helpers/custom-controls/select/class-select-control.php';
    require_once get_template_directory() . '/inc/customizer-helpers/custom-controls/slider/class-slider-control.php';
    require_once get_template_directory() . '/inc/customizer-helpers/custom-controls/toggle/class-toggle-control.php';
    require_once get_template_directory() . '/inc/customizer-helpers/custom-controls/sectiontitle/class-section-title.php';
    
    // Register the control type.
    $wp_customize->register_control_type( 'Feminine_Lifestyle_Blog_Radio_Buttonset_Control' );
    $wp_customize->register_control_type( 'Feminine_Lifestyle_Blog_Radio_Image_Control' );
    $wp_customize->register_control_type( 'Feminine_Lifestyle_Blog_Select_Control' );
    $wp_customize->register_control_type( 'Feminine_Lifestyle_Blog_Slider_Control' );
    $wp_customize->register_control_type( 'Feminine_Lifestyle_Blog_Toggle_Control' );
}
endif;
add_action( 'customize_register', 'feminine_lifestyle_blog_register_custom_controls' );